<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="xiaoqu.home.open.mapper.db1.HeyiDevMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="xiaoqu.home.open.model.db1.HeyiDev">
        <id column="id" property="id" />
        <result column="create_id" property="createId" />
        <result column="create_time" property="createTime" />
        <result column="modify_id" property="modifyId" />
        <result column="modify_time" property="modifyTime" />
        <result column="soft_delete" property="softDelete" />
        <result column="net_id" property="netId" />
        <result column="name" property="name" />
        <result column="org_id" property="orgId" />
        <result column="power" property="power" />
        <result column="ronly_ppe" property="ronlyPpe" />
        <result column="enable" property="enable" />
        <result column="dev_id" property="devId" />
        <result column="dev_net_id" property="devNetId" />
        <result column="type_code" property="typeCode" />
        <result column="module" property="module" />
        <result column="bind_id" property="bindId" />
        <result column="sensor_ppe" property="sensorPpe" />
        <result column="sensor_id" property="sensorId" />
        <result column="group_name" property="groupName" />
        <result column="group_id" property="groupId" />
        <result column="scenes_id" property="scenesId" />
        <result column="scenes_level" property="scenesLevel" />
        <result column="sn_code" property="snCode" />
        <result column="con_ppe" property="conPpe" />
        <result column="agent_id" property="agentId" />
        <result column="agent_name" property="agentName" />
        <result column="property_id" property="propertyId" />
        <result column="property_name" property="propertyName" />
        <result column="district_id" property="districtId" />
        <result column="district_name" property="districtName" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, create_id, create_time, modify_id, modify_time, soft_delete, net_id, name, org_id, power, ronly_ppe, enable, dev_id, dev_net_id, type_code, module, bind_id, sensor_ppe, sensor_id, group_name, group_id, scenes_id, scenes_level, sn_code, con_ppe, agent_id, agent_name, property_id, property_name, district_id, district_name
    </sql>

</mapper>
